546
11:01
Online
Download

To play OldschoolRO, you require latest kRO Sakray installed (version 0618). Do you have this version, or a more recent version, installed on your computer? If the answer's no (or if you're not sure), you'll need to do a complete install. To make this extra convenient, we've set up all the files you'll need in the OldschoolRO complete installer. Just download, install and you're ready to go.

** Make sure you have the latest kRO Sakray updated to its fullest. If not, you may need to download the installer from here. (This will help you to avoid any ingame errors)



[Ratemyserver] kRO & Sakray Installer
[NickyZai] kRO & Sakray Installer

Getting Started.

  1. Already have kRO Sakray installed? First of all, ensure Sakray is fully patched (by running the Sakray.exe and Ragnarok.exe patcher in your RO folder). Secondly, make sure that you have no other RO servers installed into your RO directory - as these may interfere with your OldschoolRO installation. Once you're prepared, download the OsRO 2014 Installer v1.0, using one of the file mirrors below.

[Mediafire] OsRO 2014 Installer v1.0
[4Shared] OsRO 2014 Installer v1.0
[FilePost] OsRO 2014 Installer v1.0
[Uploading] OsRO 2014 Installer v1.0
[DepositFile] OsRO 2014 Installer v1.0
[Netload] OsRO 2014 Installer v1.0
  1. Install OsRO 2014 Installer v1.0 into your RO folder (by default, this is C:/Program Files/Gravity/RO).

  2. After installation, you're ready to play! so head over to our website and register an account! Already registered? Patch your OldschoolRO and we'll see you in game.

** Click Here to Register!

If you have any problems in installation, head over to the Tech Support and we'll be happy to help.

WOE
Everyday
Mon-Thu
13:00-14:00
Fri-Sun
2:00 - 3:00
Fairy Tail
GL: Trebor "R...

Legendary...
Job: Gunslinger

Eara™
GM Level: 80